Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226251 (perl-DBD-MySQL) - Merge Review: perl-DBD-MySQL
Summary: Merge Review: perl-DBD-MySQL
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-DBD-MySQL
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:34 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-25 01:56:46 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:34:53 UTC
Fedora Merge Review: perl-DBD-MySQL

http://cvs.fedora.redhat.com/viewcvs/devel/perl-DBD-MySQL/
Initial Owner: rnorwood@redhat.com

Comment 1 Parag AN(पराग) 2007-10-22 10:48:13 UTC
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 1:5.6.1
2)you may like to use disttag like only "2%{?dist}"
3)rpmlint only complained ->
perl-DBD-MySQL.i386: W: file-not-utf8 /usr/share/doc/perl-DBD-MySQL-4.005/ChangeLog
The character encoding of this file is not UTF-8.  Consider converting it
in the specfile for example using iconv(1).
==> Use iconv



Comment 2 Parag AN(पराग) 2007-10-24 04:06:29 UTC
iconv warning can be solve by adding following to %prep section
file=ChangeLog
iconv -f iso-8859-1 -t utf-8 < "$file" > "${file}_"
mv -f "${file}_" "$file"

Comment 3 Parag AN(पराग) 2007-10-24 04:11:21 UTC
Review based on current CVS trunk
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM But not for RPM.
  perl-DBD-MySQL.i386: W: file-not-utf8
/usr/share/doc/perl-DBD-MySQL-4.005/ChangeLog
  ==> can be solved as given in comment #2
+ source files match upstream url
39181a061348ad76b67c99326873ccd5  DBD-mysql-4.005.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
+ Package  perl-DBD-MySQL-4.005-3.fc8 ->
  Provides: mysql.so perl(Bundle::DBD::mysql) = 4.004 perl(DBD::mysql) = 4.005
perl(DBD::mysql::GetInfo) perl(DBD::mysql::db) perl(DBD::mysql::dr)
perl(DBD::mysql::st) perl-DBD-mysql = 4.005-3.fc8
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libcrypt.so.1
libcrypto.so.6 libm.so.6 libmysqlclient.so.15
libmysqlclient.so.15(libmysqlclient_15) libnsl.so.1 libssl.so.6 libz.so.1
perl(:MODULE_COMPAT_5.8.8) perl(Carp) perl(DBD::mysql) perl(DBI)
perl(DBI::Const::GetInfoType) perl(DynaLoader) perl(strict) perl(vars)
rtld(GNU_HASH)
APPROVED.


Comment 4 Parag AN(पराग) 2007-10-24 04:12:41 UTC
you can close this review once you finish iconv change in CVS and build the package.

Comment 5 Robin Norwood 2007-10-25 01:56:46 UTC
perl-DBD-MySQL-4.005-4.fc9 built in dist-f9


Note You need to log in before you can comment on or make changes to this bug.